#接入渠道
inbound_channel:
  values:
  - channelType: inbound
    id: socketServerChannel
    name: socket透传接入渠道
    started: true
    values:
    - id: inboundConnector
      name: 监听端口,接入消息
      port: 9003
      protocolType: new-socket-transparent
      started: true
      type: netty

#接出渠道
outbound_channel:
  values:
  - channelType: outbound
    id: socketTransparentChannel
    name: socket透传接出渠道
    started: true
    values:
    - connectionConfig: {connectTimeoutMills: 3000, connectionBindMode: true, connectionPoolSize: 5, maxIdleConnections: 10, minIdleConnections: 1,
        useConnectionPool: true}
      id: outboundConnector
      protocolType: new-socket-transparent
      started: true
      type: netty
      uri: http://localhost:8890
      name: 根据uri转发消息

#路由
router:
  available: true
  pipeType: direct
  inbound: true
  values:
    - id: router_http
      routerMap: { '${localPort}->9003': socketTransparentChannel }
      available: true
      type: default

#网关配置
defaultPipeType: direct
id: gateway_test
name: 测试网关
started: true